//priority: 0
ItemEvents.modification(event => {
	function stackTo16(x) {
		event.modify(x, item => {item.maxStackSize = 16})
	}
	function stackTo8(x) {
		event.modify(x, item => {item.maxStackSize = 8})
	}
	function stackTo1(x) {
		event.modify(x, item => {item.maxStackSize = 1})
	}
	stackTo1('alexsmobs:komodo_spit_bottle')
	stackTo1('alexsmobs:poison_bottle')
	stackTo1('alexsmobs:sopa_de_macaco')
	stackTo1('alexsmobs:stink_bottle')
	stackTo1('culturaldelights:beef_burrito')
	stackTo1('culturaldelights:chicken_taco')
	stackTo1('culturaldelights:hearty_salad')
	stackTo1('culturaldelights:spicy_curry')
	stackTo1('farmersdelight:apple_cider')
	stackTo1('farmersdelight:chicken_sandwich')
	stackTo1('farmersdelight:fruit_salad')
	stackTo1('farmersdelight:hamburger')
	stackTo1('farmersdelight:hot_cocoa')
	stackTo1('farmersdelight:melon_juice')
	stackTo1('farmersdelight:milk_bottle')
	stackTo1('farmersdelight:nether_salad')
	stackTo1('farmersdelight:noodle_soup')
	stackTo1('farmersdelight:pumpkin_soup')
	stackTo1('farmersdelight:stuffed_pumpkin')
	stackTo1('farmersdelight:vegetable_soup')
	stackTo1('kubejs:carrot_cake')
	stackTo1('minecraft:beetroot_soup')
	stackTo1('minecraft:cake')
	stackTo1('minecraft:dragon_breath')
	stackTo1('minecraft:honey_bottle')
	stackTo1('minecraft:mushroom_stew')
	stackTo1('minecraft:pumpkin_pie')
	stackTo1('minecraft:suspicious_stew')
	stackTo1('quark:tiny_potato')
	stackTo1('sweety_archaeology:miner_brew')
	stackTo1('sweety_archaeology:primordial_stew')
	stackTo1('upgrade_aquatic:mulberry_jam_bottle')
	stackTo1('upgrade_aquatic:mulberry_pie')

	stackTo8('alexsmobs:banana')
	stackTo8('galosphere:cured_membrane')
	stackTo8('alexsmobs:cooked_catfish')
	stackTo8('alexsmobs:raw_catfish')
	stackTo8('alexsmobs:banana_peel')
	stackTo8('alexsmobs:cosmic_cod')
	stackTo8('create:bar_of_chocolate')
	stackTo8('create:chocolate_glazed_berries')
	stackTo8('create:honeyed_apple')
	stackTo8('create:sweet_roll')
	stackTo8('culturaldelights:avocado')
	stackTo8('culturaldelights:avocado_pit')
	stackTo8('culturaldelights:chicken_roll_slice')
	stackTo8('culturaldelights:cucumber')
	stackTo8('culturaldelights:eggplant')
	stackTo8('culturaldelights:midori_roll_slice')
	stackTo8('culturaldelights:rice_ball')
	stackTo8('culturaldelights:smoked_eggplant')
	stackTo8('culturaldelights:smoked_tomato')
	stackTo8('culturaldelights:tortilla')
	stackTo8('culturaldelights:white_eggplant')
	stackTo8('ecologics:coconut')
	stackTo8('ecologics:coconut_husk')
	stackTo8('ecologics:coconut_slice')
	stackTo8('ecologics:cooked_prickly_pear')
	stackTo8('ecologics:prickly_pear')
	stackTo8('ecologics:walnut')
	stackTo8('ecologics:walnut')
	stackTo8('etcetera:eggple')
	stackTo8('etcetera:golden_eggple')
	stackTo8('farmersdelight:beef_patty')
	stackTo8('farmersdelight:cabbage')
	stackTo8('farmersdelight:cabbage_leaf')
	stackTo8('farmersdelight:cabbage_rolls')
	stackTo8('farmersdelight:cod_roll')
	stackTo8('farmersdelight:cod_slice')
	stackTo8('farmersdelight:cooked_cod_slice')
	stackTo8('farmersdelight:cooked_salmon_slice')
	stackTo8('farmersdelight:fried_egg')
	stackTo8('farmersdelight:honey_cookie')
	stackTo8('farmersdelight:melon_popsicle')
	stackTo8('farmersdelight:onion')
	stackTo8('farmersdelight:pumpkin_slice')
	stackTo8('farmersdelight:raw_pasta')
	stackTo8('farmersdelight:rice')
	stackTo8('farmersdelight:rice_panicle')
	stackTo8('farmersdelight:rotten_tomato')
	stackTo8('farmersdelight:salmon_roll')
	stackTo8('farmersdelight:salmon_slice')
	stackTo8('farmersdelight:sweet_berry_cookie')
	stackTo8('farmersdelight:tomato')
	stackTo8('farmersdelight:tomato_sauce')
	stackTo8('galosphere:golden_lichen_cordyceps')
	stackTo8('galosphere:lichen_cordyceps')
	stackTo8('gardens_of_the_dead:soulblight_fungus')
	stackTo8('goodending:birch_mushroom')
	stackTo8('kubejs:croissant')
	stackTo8('kubejs:waffle')
	stackTo8('habitat:fairy_ring_mushroom')
	stackTo8('habitat:kabloom_pulp')
	stackTo8('hauntedharvest:corn')
	stackTo8('hauntedharvest:grim_apple')
	stackTo8('hauntedharvest:rotten_apple')
	stackTo8('minecraft:apple')
	stackTo8('minecraft:baked_potato')
	stackTo8('minecraft:beef')
	stackTo8('minecraft:beetroot')
	stackTo8('minecraft:bread')
	stackTo8('minecraft:brown_mushroom')
	stackTo8('minecraft:carrot')
	stackTo8('minecraft:chicken')
	stackTo8('minecraft:cod')
	stackTo8('minecraft:cooked_beef')
	stackTo8('minecraft:cooked_chicken')
	stackTo8('minecraft:cooked_cod')
	stackTo8('minecraft:cooked_mutton')
	stackTo8('minecraft:cooked_porkchop')
	stackTo8('minecraft:cooked_rabbit')
	stackTo8('minecraft:cooked_salmon')
	stackTo8('minecraft:crimson_fungus')
	stackTo8('minecraft:enchanted_golden_apple')
	stackTo8('minecraft:fermented_spider_eye')
	stackTo8('minecraft:glistering_melon_slice')
	stackTo8('minecraft:glow_berries')
	stackTo8('minecraft:golden_apple')
	stackTo8('minecraft:golden_carrot')
	stackTo8('minecraft:melon')
	stackTo8('minecraft:melon_slice')
	stackTo8('minecraft:mutton')
	stackTo8('minecraft:poisonous_potato')
	stackTo8('minecraft:porkchop')
	stackTo8('minecraft:potato')
	stackTo8('minecraft:pufferfish')
	stackTo8('minecraft:pumpkin')
	stackTo8('minecraft:rabbit')
	stackTo8('minecraft:rabbit_foot')
	stackTo8('minecraft:red_mushroom')
	stackTo8('minecraft:rotten_flesh')
	stackTo8('minecraft:salmon')
	stackTo8('minecraft:spider_eye')
	stackTo8('minecraft:sweet_berries')
	stackTo8('minecraft:tropical_fish')
	stackTo8('minecraft:warped_fungus')
	stackTo8('kubejs:omelette')
	stackTo8('phantasm:oblifruit')
	stackTo8('quark:ancient_fruit')
	stackTo8('quark:glow_shroom')
	stackTo8('rediscovered:cooked_fish')
	stackTo8('rediscovered:raw_fish')
	stackTo8('spelunkery:button_mushroom')
	stackTo8('spelunkery:crimini')
	stackTo8('spelunkery:grilled_portabella')
	stackTo8('spelunkery:inkcap_mushroom')
	stackTo8('spelunkery:milly_bubcap')
	stackTo8('spelunkery:mushgloom')
	stackTo8('spelunkery:phosphor_fungus')
	stackTo8('spelunkery:portabella')
	stackTo8('spelunkery:white_inkcap_mushroom')
	stackTo8('supplementaries:candy')
	stackTo8('sweety_archaeology:ancient_berries')
	stackTo8('upgrade_aquatic:boiled_pickerelweed')
	stackTo8('upgrade_aquatic:cooked_pike')
	stackTo8('upgrade_aquatic:mulberry')
	stackTo8('upgrade_aquatic:pickerelweed')
	stackTo8('upgrade_aquatic:pike')

	stackTo16('alexsmobs:caiman_egg')
	stackTo16('alexsmobs:crocodile_egg')
	stackTo16('alexsmobs:platypus_egg')
	stackTo16('alexsmobs:terrapin_egg')
	stackTo16('create:cinder_flour')
	stackTo16('create:dough')
	stackTo16('create:wheat_flour')
	stackTo16('kubejs:marshmallow')
	stackTo16('culturaldelights:corn_dough')
	stackTo16('culturaldelights:cucumber_seeds')
	stackTo16('culturaldelights:eggplant_seeds')
	stackTo16('ecologics:coconut_seedling')
	stackTo16('etcetera:cotton_flower')
	stackTo16('farmersdelight:cabbage_seeds')
	stackTo16('farmersdelight:honey_cookie')
	stackTo16('farmersdelight:sweet_berry_cookie')
	stackTo16('farmersdelight:tomato_seeds')
	stackTo16('kubejs:butter')
	stackTo16('hauntedharvest:popcorn')
	stackTo16('minecraft:beetroot_seeds')
	stackTo16('minecraft:chorus_fruit')
	stackTo16('minecraft:cocoa_beans')
	stackTo16('minecraft:cookie')
	stackTo16('minecraft:dried_kelp')
	stackTo16('minecraft:ghast_tear')
	stackTo16('minecraft:kelp')
	stackTo16('minecraft:magma_cream')
	stackTo16('minecraft:melon_seeds')
	stackTo16('minecraft:nether_wart')
	stackTo16('minecraft:phantom_membrane')
	stackTo16('minecraft:pitcher_pod')
	stackTo16('minecraft:pumpkin_seeds')
	stackTo16('minecraft:sugar')
	stackTo16('minecraft:sugar_cane')
	stackTo16('minecraft:torchflower_seeds')
	stackTo16('minecraft:wheat')
	stackTo16('minecraft:wheat_seeds')
	stackTo16('phantasm:pome_slice')
	stackTo16('spelunkery:salt')
	stackTo16('supplementaries:pancake')
	stackTo16('supplementaries:soap')
})